ApiManagementV1WorkspacesWorkspaceidEnvironmentsId

Update an environment (rename only)

PATCH
/management/v1/workspaces/{workspaceId}/environments/{id}
AuthorizationBearer <token>

Management token (nhm_...)

In: header

Path Parameters

idstring
name?string
Length1 <= length <= 50

Response Body

curl -X PATCH "https://loading/management/v1/workspaces/{workspaceId}/environments/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "slug": "string",
  "isDefault": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

{
  "error": {
    "code": "validation_error",
    "message": "Nothing to update"
  }
}

{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid authorization header"
  }
}

{
  "error": {
    "code": "token_disabled",
    "message": "Management token is disabled"
  }
}

{
  "error": {
    "code": "not_found",
    "message": "Environment not found"
  }
}